summaryrefslogtreecommitdiff
path: root/dev-python/jsonschema-spec
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-22 12:46:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-22 12:46:57 +0000
commit65fded7ca0c70ff8e9c4058a5d446b0076fecea5 (patch)
treee8e8ac8648643f27063c4e5ec09463665002d31e /dev-python/jsonschema-spec
parent75ee11f08abf1b499d77f44698114316230919d7 (diff)
downloadbaldeagleos-repo-65fded7ca0c70ff8e9c4058a5d446b0076fecea5.tar.gz
baldeagleos-repo-65fded7ca0c70ff8e9c4058a5d446b0076fecea5.tar.xz
baldeagleos-repo-65fded7ca0c70ff8e9c4058a5d446b0076fecea5.zip
Adding metadata
Diffstat (limited to 'dev-python/jsonschema-spec')
-rw-r--r--dev-python/jsonschema-spec/Manifest1
-rw-r--r--dev-python/jsonschema-spec/jsonschema-spec-0.1.2.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/jsonschema-spec/Manifest b/dev-python/jsonschema-spec/Manifest
index 738a8b87f272..6aee67b3ad7f 100644
--- a/dev-python/jsonschema-spec/Manifest
+++ b/dev-python/jsonschema-spec/Manifest
@@ -1 +1,2 @@
DIST jsonschema-spec-0.1.1.gh.tar.gz 21747 BLAKE2B 441f34c62da2d22699379035e20f2ed78a974413ea9c2f80b753cc2b41d978351c69aaa50750139e622d075c4c3979dc43b888bea111a0f4b31fa9d37822a1fa SHA512 b1bdd03c6fc022877d0801d859abe0dd19e066afe2a1eab6c650a8741a50473e74945ddde429508e5dccf379a84b25fbd60c49fdc310aa770bed52b63e60e397
+DIST jsonschema-spec-0.1.2.gh.tar.gz 21782 BLAKE2B 238f035e75ec45edade5fd00269d2fc208a73208d1e07586490728b8c97819d6fddd9b909d2af00e63ebc4c141cb8dbaaf8e3e7ce88c3ff58ada2ba147c1e2c9 SHA512 0cba83a14e88d4fe2fcce9e4d39fa4284f23366a1f8acab16fa4b7b824d0c02bf04429d61c51a39a7a188c4e2b79f4481bba14ca688edee71beb0060e16617e0
diff --git a/dev-python/jsonschema-spec/jsonschema-spec-0.1.2.ebuild b/dev-python/jsonschema-spec/jsonschema-spec-0.1.2.ebuild
new file mode 100644
index 000000000000..c575fc914946
--- /dev/null
+++ b/dev-python/jsonschema-spec/jsonschema-spec-0.1.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-spec/
+ https://github.com/p1c2u/jsonschema-spec/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-spec/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.0.0[${PYTHON_USEDEP}]
+ dev-python/pathable[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ dev-python/pathable[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}